function mag_load_cal_table, filename, cal_table
; This function load the corresponding calibration table required by a calibration function from
; an external data file
;
   i = 0
   openr, UNIT, concat_dir(getenv('IMPACT_CALIB_DATA'),FILENAME), /get_lun
   while not eof(unit) do begin
      readf, unit, cal_table
      i = i + 1
   endwhile
   free_lun, unit
return, cal_table
end
